Subject: Re: bug#56393: Turn on narrowing in redisplay_window

From: Eli Zaretskii <[email-masked]>
Date: Tue, 19 Jul 2022 15:43:48 +0300

> Cc: [email-masked]
> From: Gerd Möllmann <[email-masked]>
> Date: Tue, 19 Jul 2022 13:26:31 +0200
> 
> Gregory Heytings <[email-masked]> writes:
> 
> >>
> >> which is "the buffer got smaller"?
> >>
> >
> > You are correct.  It's too hot here too, apparently!  😉
> 
> Is finding newlines that expensive?  (I don't remember.)

It isn't, but if you have a very large buffer, finding _all_ the
newlines in it could take time.

> I mean, if someone turns that "mode" on, does he deserve to suffer a
> little bit while that is switched on?

We want to have this "mode" turned on by default.

> I think someone with such a long line deserves to suffer.

That's a bootstrap problem: when you first visit a file, you usually
don't know whether it will have long lines.  By the time you know,
it's many times too late.  Thus such a feature should ideally be
active by default, unless it sometimes causes serious problems.